<?php
#Pour GIBII
/****************************************************************************
Copyright 2002, Daniel Deycard, Jacques Messines, Alain Pomirol
(CATICE Académie de Bordeaux)

This file is part of Gibii.

Gibii is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

Gibii is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Gibii; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

****************************************************************************/
include("../include/vars_adm.php");
include("../include/util.inc.php");
include("../include/get.inc.php");
include("../include/eleve.inc.php");
include("../include/pdf.inc.php");
$statut=$_REQUEST['statut'];
opensession($statut);
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=ISO-8859-1">
<title>Etat des validations</title>
<link rel="stylesheet" href="<?php echo "../themes/".$etab_theme."/b2i.css" ?>">
</head>

<?php


switch ($statut) {
       case "Prof":
           echo "<BODY class='arialprof'>";
           break;
       case "Admin":
           echo "<BODY class='arialadmin'>";
           break;
       case "Gest":
           echo "<BODY class='arialgest'>";
           break;
   }

if (!isset($id)) {
	//arrivée avant le choix d'une action
	print "</body></html>\n";
	exit();
	}
elseif ($id==0)
	$eid=0; //rien, on continue, c'est une création
else {
	/*print $id;print "<br>";
	print_r($_SESSION['temp']['eleve']);
	print "<br>";
	print $_SESSION['temp']['eleve'][(int) $id];
	*/
	$eid=@$_SESSION['temp']['eleve'][(int) $id];
	if (!isset($eid)) {
		print "</body></html>\n";
		piratage();
		exit();
		}
	}

//récupérer l'élève
connecte($host, $user, $mdp, $db);
$sqleleve="SELECT * FROM eleves WHERE eleve_id=$eid;";
$reseleve=query($sqleleve);
$roweleve=mysql_fetch_array($reseleve);


//En-tête pour impression
Print "<p class='libelle_admin'>".$etab_nom."&nbsp;&nbsp;&nbsp;&nbsp;".
                 $etab_adresse."&nbsp;&nbsp;&nbsp;&nbsp;".$etab_codepostal.
                 "&nbsp;&nbsp;".$etab_ville;
Print "<hr>";
$n=$roweleve['nom'];
$pr=$roweleve['prenom'];

print "<table width=\"95%\" border=\"0\"><tr>";
if (isset($orig)) {
        print "<td>";
        retour("../outils/editanciens.php?statut=$statut");
        print "</td>";
        }
print "<td><p class='nom_prenom'>".$n."  ".$pr."</p> </td>";

//Préparation page en PDF
creertousrep("$DATA/$etab_rne/diplomes/");
$fich_pdf="$DATA/$etab_rne/diplomes/etat_eleve.php";
print "<td align=\"right\"><a href='$fich_pdf' target=_blank ><img src=\"../themes/".$etab_theme."/pdf.gif\" border='0' align='bottom' alt='version PDF'></a><br>";
print "</td></tr></table>";
cree_pdf($fich_pdf);
$etab_quote=addslashes(" $etab_nom - $etab_adresse - $etab_codepostal  $etab_ville");
$identite=$pr."  ".$n;

cree_entete_pdf($fich_pdf,$identite,$etab_quote);
$offset_pdf=1.2;

//semblable au script eleve_choix.php, sauf que le gest ne peut pas cocher.
switch ($etab_niveau) {
    case "niv1": $condition=" brevet_no=1 ";break;
    case "niv2": $condition=" brevet_no=2 "; break;
    case "niv3": $condition=" brevet_no=3 "; break;
    case "niv12"  : $condition=" (brevet_no=1 || brevet_no=2) "; break;
    case "niv23"  : $condition=" (brevet_no=2 || brevet_no=3) "; break;
    default: $condition="";
}
if ($condition) {
    $condition1="  and ".$condition;
    $condition2 =" where ".$condition;
}   else {
    $condition1="";
    $condition2="";
}


//obtenir les rubriques du brevet $brevet_no
$resrub=query("select rubriques.*, count(*) as nbitems ".  //nb d'items/rubrique
              "from rubriques,items ".
              "where rubriques.rub_no=items.rub_no ".
              $condition1.
              "group by rubriques.rub_no ".
              "order by rubriques.rub_no;");

//obtenir les items du brevet $brevet_no
$resit =query("select * from items ".
              $condition2.
              "order by rub_no, s_rub_no;");

$reslib=query("select inst from libelles,items ".
              "WHERE items.item_id=libelles.item_id ".
              $condition1.
              "order by rub_no, s_rub_no;");

//afficher la situation de l'élève par rapport à chaque item
//en même temps, comptabiliser le nombre d'items en attente
$nivo=0;
while ($rowrub=mysql_fetch_array($resrub)) {
    $nbitems=$rowrub["nbitems"];
    $lib=$rowrub["libelle"];
    //$lib=html_entity_decode($rowrub["libelle"]);  //3° param=charset default ISO 8859
    $num_rub=$rowrub["rub_no"];

    $nivo_old=$nivo; //On stocke niveau précédent
    $nivo=getnivo($num_rub);
    //if ($MODULE=="GiCii") $lnivo=" (niv : ".getnivo($num_rub).")";
    if ($MODULE!="Melia")$lnivo=" (".getlibellenivo(getnivo($num_rub)).")";

    //On n'ajoute plus le niveau, il est incorporé aux rubriques
    if (($nivo!=$nivo_old) and ($nivo_old!=0)) $saut=true;
        else $saut=false;
    //Saut de ligne pour le niveau 1 pour écarter un peu les rubriques...
    if ($nivo==1) $ln=0.5; else $ln=0;
    ajout_rub_pdf($fich_pdf,addslashes($lib.$lnivo),$saut,$ln);
    //ajout_rub_pdf($fich_pdf,addslashes($lib),$saut);
 
    print "<p class='rubrique'>".$lib.$lnivo."</p>";
    //print "<p class='rubrique'>".$lib."</p>";
    print "<table  border='1' cellspacing='0' bordercolordark='white' bordercolorlight='black' width='100%'>\n";
    for ($it=0 ; $it<$nbitems ; $it++) {
         $rowit=mysql_fetch_array($resit);
         $item_id=$rowit["item_id"];
         $res_pdf="";
         //couleur de la ligne suivant sa parité
         $cl=($it%2==0) ? "paire" : "impaire";
         print "<tr class='$cl'>\n";

         //colonne 1 : l'état ou l'action possible sur l'item
         //rechercher dans la table resultats avec aussi la table des disciplines concernées

 		$reqresult=query("SELECT DATE_FORMAT(res.quand, '%d/%m/%y'), 
		 	CONCAT(disciplines.libelle,' ',profs.civil,' ',profs.nom),DATE_FORMAT(lrp.quand, '%d/%m/%y') as datrep
			 FROM resultats as res 
			LEFT JOIN lrp ON res.resultat_id=lrp.resultat_id
			LEFT JOIN profs ON lrp.prof_id=profs.prof_id
			LEFT JOIN disciplines ON profs.disc_id=disciplines.disc_id
			WHERE res.eleve_id=$eid AND res.item_id=$item_id
			ORDER BY lrp.quand DESC");
		$itemacq=mysql_num_rows($reqresult)>0;
		//S'il n'y a aucun résultat = item non acquis
		//Initialiser prof+discipline validatrice 
		unset($disc_v);
		unset($dat);
		$compt=0;
		$di=array();

		
		while (list($dat, $discv, $datrep)=mysql_fetch_array($reqresult)) {
			$compt++;
			if (isset($discv)) {
				$di[$compt]=$discv;
				if ((isset($datrep)) AND (strlen($di[$compt])<23)) $di[$compt].=" ".$datrep; 
				}
			if (isset($dat)) $datacq=$dat;
			}
		
		$disc_v="";	
		if ($etab_nb_validations>1) {
			if (isset($di[1])) $disc_v=substr($di[1],0,31);
			if (isset($di[2])) $disc_v.="\n".substr($di[2],0,31);
			}
		else if (isset($di[1])) $disc_v=substr($di[1],0,31);
		
        print "\t<td width=\"50\" align=\"center\">";
        $message_id=demandeactive($eid,$item_id);
		
        //On traite les demandes acquises d'abord
        if ($itemacq) {
        	print "acquis "; $typeres="a";
           	
           	if (isset($datacq)) echo "le ".$datacq."\n";
           	//Si on a du détail (demandes réponses) on les met là avec une ancre non-vide
           	if ($message_id) $ancre=" "; else $ancre="";
          	} 
		else { //Là on détaille en regardant le bilan
          	if ($message_id) { //il y a une demande en attente
             	list($nboui,$nbnon)=bilanrep($message_id);
             	if (($nboui==0) && ($nbnon==0)) { //pas encore de réponse
                 	$ancre="";print "demandé"; $typeres="ec";
                	} 
				else {   //il faut mettre du détail
                 	$ancre="<a href='gest_eleve_details.php?statut=$statut&message_id=$message_id&eleve_id=$eid&item_id=$item_id'>";
                 	print $ancre."oui:$nboui<br>non:$nbnon</a>\n"; $typeres="on";
                	}
            	} 
			else { //pas de demande ou date> max dde vie
            	$ancre="";
            	print "rien";
             	}
         	} //Fini on a passé tous les cas
         print "\n\t</td>";


         //colonne 2 : le texte de l'item
         $rowlib=mysql_fetch_array($reslib);
         print "\n\t<td><p class='item'>";
         //$item=html_entity_decode($rowlib["inst"]);   //par défaut en iso, mais paramétrable
         $item=$rowlib["inst"];
         print $item;
         print "\n\t</p></td></tr>";
         //On l'envoie aussi en pdf
         //PAS de disciplines pour le niveau 1
         if (!isset($etab_fposition)) $etab_fposition==1;
         
         
         if ($MODULE=='Gicii') {
		 	$res_pdf=($itemacq)   ?  "Acquis" : "";
			 ajout_item1_pdf($fich_pdf,$res_pdf,$item,"");
		 	}
         else {
           if ($nivo==1) {
           	  $res_pdf=($itemacq)   ?  "Acquis" : "";
		 	  if ($etab_fposition==2) ajout_item2_pdf($fich_pdf,$res_pdf,$item);
         	  else ajout_item1_pdf($fich_pdf,$res_pdf,$item,"");
        	  }
           else {
				$res_pdf=($itemacq)   ?  "A" : "";
				ajout_item_pdf($fich_pdf,$res_pdf,$item,$disc_v);
				}
		 	
			 }

          
		   if (!empty($ancre)) {
              //sous-colonne de la colonne 2 : le tableau des réponses
              print "<tr>\n";  //une seule ligne utilisée dans l'ancien tableau
              print "<td>&nbsp;</td>"; //colonne 1 non utilisée
              print "<td>\n";  // une table est dans la colonne 2
              affrepmessage($message_id,false);
              print "</td></tr>";
              }
          
         
         

    } 	//Fin du for des élèves
    print "</table>\n";
}

ferme_pdf($fich_pdf);

?>

</body>
</html>